/// <reference types="react" />
import PropTypes from 'prop-types';
import React from 'react';
import CustomInput from './CustomInput';
import Input from './Input';
import { InputItemPropsType } from './PropsType';
import { Omit } from '../_util/types';
export declare type HTMLInputProps = Omit<React.HTMLProps<HTMLInputElement>, 'onChange' | 'onFocus' | 'onBlur' | 'value' | 'defaultValue' | 'type'>;
export interface InputItemProps extends InputItemPropsType, HTMLInputProps {
    prefixCls?: string;
    prefixListCls?: string;
    className?: string;
    onErrorClick?: React.MouseEventHandler<HTMLDivElement>;
    onExtraClick?: React.MouseEventHandler<HTMLDivElement>;
}
declare class InputItem extends React.Component<InputItemProps, any> {
    static defaultProps: {
        prefixCls: string;
        prefixListCls: string;
        type: string;
        editable: boolean;
        disabled: boolean;
        placeholder: string;
        clear: boolean;
        onChange: () => void;
        onBlur: () => void;
        onFocus: () => void;
        extra: string;
        onExtraClick: () => void;
        error: boolean;
        onErrorClick: () => void;
        labelNumber: number;
        updatePlaceholder: boolean;
        moneyKeyboardAlign: string;
    };
    static contextTypes: {
        antLocale: PropTypes.Requireable<any>;
    };
    inputRef: Input | CustomInput | null;
    private debounceTimeout;
    constructor(props: InputItemProps);
    componentWillReceiveProps(nextProps: InputItemProps): void;
    componentWillUnmount(): void;
    onInputChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleOnChange: (value: string) => void;
    onInputFocus: (value: string) => void;
    onInputBlur: (value: string) => void;
    onExtraClick: (e: React.MouseEvent<HTMLDivElement>) => void;
    onErrorClick: (e: React.MouseEvent<HTMLDivElement>) => void;
    clearInput: () => void;
    focus: () => void;
    render(): JSX.Element;
}
export default InputItem;
